:
# NAME:
#	redirect.sh - redirect output
#	
# DESCRIPTION:
#	This file gets sourced before any real work is done
#	its job is to re-direct output to a file so mailrep.sh
#	can mail it.
#	
# AUTHOR:
#	Simon J. Gerraty <sjg@crufty.net>

# RCSid:
#	$Id: redirect.sh,v 1.14 2002/11/23 02:34:27 sjg Exp $
#
#	@(#) Copyright (c) 1994-2002 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

RC_D=${RC_D:-/etc/rc_d}

[ -f ${Mydir:-.}/verbose -o -f ${Mydir:-.}/.verbose ] && ECHO="date; echo"

# handy to be able to debug stuff
$_DEBUG_SH . $RC_D/debug.sh

Debug setup redirect

$_TEMP_SH . $RC_D/temp.sh
$_ATEXIT_SH . $RC_D/atexit.sh

# cleanup our mess afterwards - unless we are debugging.
case "$TEMP" in
*/tmp/?*)	# but be careful
	$DEBUG_SKIP atexit "[ x\${exit_sts:-1} = x0 ] && rm -rf $TEMP";;
esac

# now the redirect part.
REPORT=${TMP:-/tmp}/rep$$
# simple isn't it.
test -f $REPORT || { exec 7<&1 8<&2 > $REPORT 2>&1; }
#
# we want the report mailed _especially_ if something went wrong
#
atexit "Myname=$Myname REPORT=$REPORT . $RC_D/mailrep.sh"
$DEBUG_DO atexit "set -x"
atexit "exec >&7 2>&8"

Debug
