:
# NAME:
#	bsplit - binary splitter
#
# SYNOPSIS:
#	bsplit.sh "prefix" "count" "blocksz" < "file"
#
# DESCRIPTION:
#	This script reads "file" and produces a series of files named
#	"prefix".001 - "prefix".999 etc.  The default "blocksz" is 1k
#	so "count" can be considered as the size of each output file
#	in Kbytes.  The default is 48Kbytes.
#
# BUGS:
#
# AUTHOR:
#	Simon J. Gerraty <sjg@crufty.net>
#

# RCSid:
#	$Id: bsplit.sh,v 1.2 2001/08/30 09:55:58 sjg Exp $
#
#	@(#) Copyright (c) 1994 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

prefix=$1
count=${2:-235}
bs=${3:-1k}
i=0

(
  while :
  do
    i=`expr $i + 1`
    ext=`expr 000$i : '.*\(...\)'`
    file=$prefix.$ext
    dd bs=$bs count=$count > $file 2>/dev/null
    if [ -s $file ]; then
      :
    else
      expr $i - 1
      rm -f $file
      exit 0
    fi
  done
)
